> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# GetQueues

POST https://api.voximplant.com/platform_api/GetQueues

Gets the ACD queues.

Allowed roles: `Owner`, `Admin`, `Developer`, `Supervisor`.

**Example request:** Get the two queues.

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/queues/get-queues

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: management-api
  version: 1.0.0
paths:
  /GetQueues:
    post:
      operationId: get-queues
      summary: GetQueues
      description: |-
        Gets the ACD queues.

        Allowed roles: `Owner`, `Admin`, `Developer`, `Supervisor`.

        **Example request:** Get the two queues.
      tags:
        - subpackage_queues
      parameters:
        - name: acd_queue_id
          in: query
          description: The ACD queue ID to filter
          required: false
          schema:
            type: integer
        - name: acd_queue_name
          in: query
          description: The ACD queue name part to filter
          required: false
          schema:
            type: string
        - name: application_id
          in: query
          description: The application ID to filter
          required: false
          schema:
            type: integer
        - name: skill_id
          in: query
          description: The skill ID to filter
          required: false
          schema:
            type: integer
        - name: excluded_skill_id
          in: query
          description: The excluded skill ID to filter
          required: false
          schema:
            type: integer
        - name: with_skills
          in: query
          description: Whether to get the bound skills
          required: false
          schema:
            type: boolean
            default: false
        - name: showing_skill_id
          in: query
          description: The skill to show in the 'skills' field output
          required: false
          schema:
            type: integer
        - name: count
          in: query
          description: The max returning record count
          required: false
          schema:
            type: integer
            default: 20
        - name: offset
          in: query
          description: The first **N** records are skipped in the output
          required: false
          schema:
            type: integer
            default: 0
        - name: with_operatorcount
          in: query
          description: Whether to include the number of agents bound to the queue
          required: false
          schema:
            type: boolean
            default: false
        - name: Authorization
          in: header
          description: >-
            Voximplant Management API uses signed JWT tokens generated from your
            service-account private key. Pass the token in the `Authorization`
            header as a Bearer value:


            ```

            Authorization: Bearer $VOXIMPLANT_TOKEN

            ```


            See [Authorization](/api-reference/management-api/authorization) for
            ready-to-copy snippets in bash, Python, Node.js and Go that turn
            your `credentials.json` into a token.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/queues_GetQueues_Response_200'
servers:
  - url: https://api.voximplant.com/platform_api
components:
  schemas:
    QueueUsers:
      type: object
      properties:
        user_id:
          type: integer
          description: The user ID
      description: The queue users info.
      title: QueueUsers
    QueueSkills:
      type: object
      properties:
        skill_id:
          type: integer
          description: The skill ID
        skill_name:
          type: string
          description: The skill name
      description: The queue skills info.
      title: QueueSkills
    QueueInfoType:
      type: object
      properties:
        acd_queue_id:
          type: integer
          description: The ACD queue ID
        acd_queue_name:
          type: string
          description: The queue name
        application_id:
          type: integer
          description: The application ID
        acd_queue_priority:
          type: integer
          description: The integer queue priority. The highest priority is 0
        service_probability:
          type: number
          format: double
          description: >-
            The value in the range of [0.5 ... 1.0]. The value 1.0 means the
            service probability 100% in challenge with a lower priority queue
        auto_binding:
          type: boolean
          description: >-
            Whether to enable the auto binding of operators to a queue by skills
            comparing
        max_waiting_time:
          type: integer
          description: >-
            The maximum predicted waiting time in minutes. When a call is going
            to be enqueued to the queue, its predicted waiting time should be
            less or equal to the maximum predicted waiting time; otherwise, a
            call would be rejected
        max_queue_size:
          type: integer
          description: The maximum number of calls that can be enqueued into this queue
        average_service_time:
          type: integer
          description: >-
            The average service time in seconds. Specify the parameter to
            correct or initialize the waiting time prediction
        created:
          type: string
          description: |-
            Timestamp in YYYY-MM-DD HH:mm:ss format.

            The ACD queue creating UTC date in 24-h format: YYYY-MM-DD HH:mm:ss
        modified:
          type: string
          description: |-
            Timestamp in YYYY-MM-DD HH:mm:ss format.

            The ACD queue editing UTC date in 24-h format: YYYY-MM-DD HH:mm:ss
        deleted:
          type: string
          description: |-
            Timestamp in YYYY-MM-DD HH:mm:ss format.

            The ACD queue deleting UTC date in 24-h format: YYYY-MM-DD HH:mm:ss
        users:
          type: array
          items:
            $ref: '#/components/schemas/QueueUsers'
          description: The queue users info
        skills:
          type: array
          items:
            $ref: '#/components/schemas/QueueSkills'
          description: The queue skills info
        sl_thresholds:
          type: array
          items:
            type: integer
          description: The service level thresholds in seconds
        operatorcount:
          type: integer
          description: Number of agents bound to the queue
      description: The [GetQueues] function result item.
      title: QueueInfoType
    queues_GetQueues_Response_200:
      type: object
      properties:
        result:
          type: array
          items:
            $ref: '#/components/schemas/QueueInfoType'
        total_count:
          type: integer
          description: The total found queue count
        count:
          type: integer
          description: The returned queue count
      title: queues_GetQueues_Response_200
  securitySchemes:
    JwtAuth:
      type: http
      scheme: bearer
      description: >-
        Voximplant Management API uses signed JWT tokens generated from your
        service-account private key. Pass the token in the `Authorization`
        header as a Bearer value:


        ```

        Authorization: Bearer $VOXIMPLANT_TOKEN

        ```


        See [Authorization](/api-reference/management-api/authorization) for
        ready-to-copy snippets in bash, Python, Node.js and Go that turn your
        `credentials.json` into a token.

```

## SDK Code Examples

```python Example 1
import requests

url = "https://api.voximplant.com/platform_api/GetQueues"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Example 1
const url = 'https://api.voximplant.com/platform_api/GetQueues';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 1
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/GetQueues"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 1
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/GetQueues")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java Example 1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/GetQueues")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php Example 1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/GetQueues', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Example 1
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/GetQueues");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Example 1
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetQueues")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```